Fork me on GitHub"

# skbio.alignment.make_identity_substitution_matrix

`skbio.alignment.``make_identity_substitution_matrix`(match_score, mismatch_score, alphabet='ACGTU')

  Generate substitution matrix where all matches are scored equally

  Note

  Deprecated as of 0.4.0 for removal in 0.5.2. Will be replaced by a SubstitutionMatrix class. To track progress, see [#161](https://github.com/biocore/scikit-bio/issues/161).

  Parameters:

  match_score : int, float

  > The score that should be assigned for all matches. This value is typically positive.

  mismatch_score : int, float

  > The score that should be assigned for all mismatches. This value is typically negative.

  alphabet : iterable of str, optional

  > The characters that should be included in the substitution matrix.

  Returns:

  dict of dicts

  > All characters in alphabet are keys in both dictionaries, so that any pair of characters can be looked up to get their match or mismatch score.